<!--
 * @Descripttion: 
 * @version: 
 * @Author: guowh
 * @Date: 2022-11-16 13:48:36
-->
# hc-publish
hc组件库

## 引入
main.js
```
import HcPublish from 'hc-publish'
Vue.use(HcPublish)
```

## 使用

### hc-chunk-upload
组件案例
```
<template>
  <div id="app">
    <button @click="$refs.chunkUpload.triggerUpload()">上传</button>
    <div v-if="uploadUrl">
      上传地址：{{
        uploadUrl[0].realPath
      }}?token=eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiJ3eXMiLCJpZCI6MTU2NjYzNjg1NjgwNDE1MTI5OCwicm9sZUlkcyI6WzE1NTUzNjk3NDY3NjkzMzgzNzAsMTU1NjUzNzA0NzIxNjkwMjE0NiwxNTg4NDIwMDU0ODczNTkxODA5LDE1OTAxNTg0MjI2ODI2NTY3NzBdLCJleHAiOjE2NjkxNjc1MzksImlhdCI6MTY2ODU2MjczOSwidGVuYW50SWRzIjoiMTU0Nzc0ODYyNzI1NDM5ODk3OCwxNTkwMTU3OTM2OTU3MDg3NzQ2In0.rkBGIWuRokCZbaGCBxiIa-7vbMGA6cggL19_2u_MaivX3cA8JGXh5D_cn5Tvw4GDlrqnCfldYw6jPa3KOv5vtg
    </div>
    <HcChunkUpload
      ref="chunkUpload"
      @uploaded="handleUploaded"
      @uploadError="handleUploadError"
      token="eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiJ3eXMiLCJpZCI6MTU2NjYzNjg1NjgwNDE1MTI5OCwicm9sZUlkcyI6WzE1NTUzNjk3NDY3NjkzMzgzNzAsMTU1NjUzNzA0NzIxNjkwMjE0NiwxNTg4NDIwMDU0ODczNTkxODA5LDE1OTAxNTg0MjI2ODI2NTY3NzBdLCJleHAiOjE2NjkxNjc1MzksImlhdCI6MTY2ODU2MjczOSwidGVuYW50SWRzIjoiMTU0Nzc0ODYyNzI1NDM5ODk3OCwxNTkwMTU3OTM2OTU3MDg3NzQ2In0.rkBGIWuRokCZbaGCBxiIa-7vbMGA6cggL19_2u_MaivX3cA8JGXh5D_cn5Tvw4GDlrqnCfldYw6jPa3KOv5vtg"
      project-id="10161"
      :part-size="1024 * 1024"
      :multiple="true"
    />
  </div>
</template>

<script>

export default {
  name: "App",
  data() {
    return {
      uploadUrl: "",
    };
  },
  methods: {
    // 上传成功处理
    handleUploaded(url) {
      console.log('url', url);
      this.uploadUrl = url;
    },
    // 上传失败处理
    handleUploadError(msg) {
      this.$message.error(msg);
      // todo
    },
    handleUpload(e) {
      this.$refs.chunkUpload.handleUploadAntd(e.file);
      return true;
    },
  },
};
</script>

组件属性:
+ token: [required] 用户token
+ projectId: 项目id
+ partSize: [required] 分块尺寸 默认值: 1024*1024 (1M)
+ multiple: 是否多选 默认值: false

```


